Bug 138865 - File man1/mc.1.gz conflicts between attempted installs of mc and man-pages-pl
File man1/mc.1.gz conflicts between attempted installs of mc and man-pages-pl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-pages-pl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 13:01 EST by Marcin Garski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.23-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 16:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2004-11-11 13:01:58 EST
Description of problem:
mc and man-pages-pl contains man1/mc.1.gz man page and durring
installation of this packages I get errors. mc contain newer version
of man page, so mc.1 should be removed from man-pages-pl.

Steps to Reproduce:
1. Try to install man-pages-pl-0.23-2.noarch.rpm and mc-4.6.1-0.9.i386.rpm
2. You'll get error from rpm:
file /usr/share/man/pl/man1/mc.1.gz conflicts between attempted
installs of mc-4.6.1-0.9 and man-pages-pl-0.23-2
  
Actual results:
Can't install mc-4.6.1-0.9 and man-pages-pl-0.23-2

Expected results:
Installation goes fine.

Additional info:
Mc also contains other (hu, ru, es, it, sr and en) man pages that
could cause confilicts with man-pages rpms, older man pages should be
removed.
Comment 1 Jindrich Novy 2004-11-12 05:39:40 EST
Adrian, shouldn't we remove mc man pages from man-pages-* packages
completely and let them be installed by mc?
Comment 2 Eido Inoue 2004-11-12 14:28:18 EST
Comment 1: Yes, in general we want packages to own their own
man-pages-- even foreign language ones.
Comment 3 Eido Inoue 2004-11-18 16:03:28 EST
hu, ru, es, it, sr and en will be fixed in rawhide as well
Comment 4 Eido Inoue 2004-11-18 16:17:09 EST
comment 3: -hu, -sr not a (yet) rhat pkg; latest -ru, -en, -it is ok;

Note You need to log in before you can comment on or make changes to this bug.